For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Retrieve the list of uploaded files used to create labeling tasks for a specific project.
Get files list
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Path parameters
idintegerRequired
Query parameters
allbooleanOptional
Set to "true" if you want to retrieve all file uploads
idslist of stringsOptional
Specify the list of file upload IDs to retrieve, e.g. ids=[1,2,3]
orderingstringOptional
Which field to use when ordering the results.
Response
filestring
idintegerRead-only
sizeinteger or nullRead-only
Set to "true" if you want to retrieve all file uploads
Specify the list of file upload IDs to retrieve, e.g. ids=[1,2,3]
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: